(Question) play 9.00 pkgs on 7.50/7.55 PS4

Darksphere92

Well-Known Member
OP
Member
Joined
Aug 8, 2014
Messages
318
Trophies
0
Age
30
XP
220
Country
United States
how would i go about playing 9.00 pkgs on a 7.50/7.55 PS4, do i have to do anything different then what ive been doing to playing the old pkg games? do i have to update my PS4? or can i just install them to the 7.50/7.55 PS4 and they will work?
 
  • Like
Reactions: Tomtani1

MikeyTaylorGaming

YouTube Glitcher
Member
Joined
Aug 11, 2007
Messages
1,633
Trophies
0
Location
North West England
Website
youtube.com
XP
1,156
Country
United Kingdom
Do you mean playing games which have a minimum firmware requirement of 9.00 on a firmware less than 9.00?

If that's the case, then from what I understand the game/ update for the game need to be backported, so that the PS4 doesn't know that the firmware on your PS4 is too low.

You can do this yourself, but there are various places where people backport games for everyone to enjoy on older firmwares.
 
Last edited by MikeyTaylorGaming,
  • Like
Reactions: KiiWii and Leeful

Darksphere92

Well-Known Member
OP
Member
Joined
Aug 8, 2014
Messages
318
Trophies
0
Age
30
XP
220
Country
United States
Do yo mean playing games which have a minimum firmware requirement of 9.00 on a firmware less than 9.00?

If that's the case, then from what I understand the game/ update for the game need to be backported, so that the PS4 doesn't know that the firmware on your PS4 is too low.

You can do this yourself, but there are various places where people backport games for everyone to enjoy on older firmwares.
ok thanks, was just curious if the methods have changed for newer Firmware games.
 

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,616
Trophies
1
Age
33
XP
2,741
Country
United States
Do yourself a great service and update to 9.00 theres absolutely no reason to be on 6.72-7.55 b/c 9.00 has superior stability compared to them unless for some reason you cant get a usb stick. Also you wont have to worry about backporting
 

MikeyTaylorGaming

YouTube Glitcher
Member
Joined
Aug 11, 2007
Messages
1,633
Trophies
0
Location
North West England
Website
youtube.com
XP
1,156
Country
United Kingdom
Do yourself a great service and update to 9.00 theres absolutely no reason to be on 6.72-7.55 b/c 9.00 has superior stability compared to them unless for some reason you cant get a usb stick. Also you wont have to worry about backporting
Was on 7.55 for a year. Do yourself a favor and update. Literally ZERO reason to be on 7xx right now
I think a lot of people like the idea of staying on a firmware like 5.05 - 7.55 purely because they believe a permanent exploit could come out that only works on older firmwares.

As for backporting, it's likely we'll still need a method of backporting games for use on FW9.00 when games that rely on newer firmwares are released. Does anyone have a link to a guide or method of backporting games for yourself?

I've also asked this before, but is there any danger in installing a backported game/ update (For example, FFVII Remake backported for use on 5.05) on a 9.00 console? I can't see any danger, but Godreborn mentioned that it isn't recommended and I'm just looking for some reasons why!

Thanks
 

FR0ZN

Well-Known Member
Member
Joined
Nov 2, 2013
Messages
1,228
Trophies
0
Age
35
XP
2,612
Country
United States
1.76-7.5x should have some fresh Flatz memes incoming, but if you just want to play pirated games then updating to 9.00 is your choice.

RIP 5.05 console.
I heard the news - but what will be possible with it? There are conflicting reports.
 

KiiWii

Editorial Team
Editorial Team
Joined
Nov 17, 2008
Messages
13,758
Trophies
2
Website
defaultdnb.github.io
XP
18,077
Country
United Kingdom
I heard the news - but what will be possible with it? There are conflicting reports.
Getting the keys on your own console means decryption. Not a lot more. And certainly not CFW.

Edit: one interesting thing would be possible decryption of legit PKG’s with <=your installed FW version.
 
  • Like
Reactions: FR0ZN

chocoboss

Well-Known Member
Member
Joined
Jun 25, 2016
Messages
538
Trophies
0
Age
33
Location
FRANCE
XP
1,309
Country
France
7.02 user here I was near to Update to 9.00 but with the new vulnerability found on SAMU we might have something really nice coming ( no perma cfw but pkgi for PS4 for example )

Also the 9.0 exploit might be ported to lower FW so maybe we will also have stable jb
 
Last edited by chocoboss,
  • Like
Reactions: Tomtani1 and KiiWii

KiiWii

Editorial Team
Editorial Team
Joined
Nov 17, 2008
Messages
13,758
Trophies
2
Website
defaultdnb.github.io
XP
18,077
Country
United Kingdom
7.02 user here I was near to Update to 9.00 but with the new vulnerability found on SAMU we might have something really nice coming ( no perma cfw but pkgi for PS4 for example )
As always wait it out until you can decide between the two options. If you update now you have no options.
 
  • Like
Reactions: chocoboss

MasterJ360

Well-Known Member
Member
Joined
Jan 10, 2016
Messages
2,616
Trophies
1
Age
33
XP
2,741
Country
United States
I think a lot of people like the idea of staying on a firmware like 5.05 - 7.55 purely because they believe a permanent exploit could come out that only works on older firmwares.

As for backporting, it's likely we'll still need a method of backporting games for use on FW9.00 when games that rely on newer firmwares are released. Does anyone have a link to a guide or method of backporting games for yourself?

I've also asked this before, but is there any danger in installing a backported game/ update (For example, FFVII Remake backported for use on 5.05) on a 9.00 console? I can't see any danger, but Godreborn mentioned that it isn't recommended and I'm just looking for some reasons why!

Thanks
Permanent exploit as in coldboot is false hope. Its the same issue with the Switch lots of ppl would stay on old FW's thinking there would be a permanent solution, but in reality they are missing out on new content over something that may never happen.
5.05 on the other hand has a very good reason to stay on it, not just b/c of its stability, but the vast majority of homebrew support resides on that FW more so than others.
The reason everyone is suggesting the OP to update to 9.00 is b/c 7.55 has the worst exploit stability. Its not worth waiting for a coldboot when you have rest mode to keep the ps4 in cfw.

I personally don't recommend back-porting games yourself as its a trial & error sort of thing I used to do it myself when I was on 5.05, but got tired of failed attempts and just updated to 6.72 when it was the latest cfw. But if you have to use a BP game b/c your on a lower firmware there are sites that have them for download, but most of the time its a waiting game b/c you have to wait for someone to actually BP the games or updates.

All the more reason to be on 9.00 so you dont have to wait for a downgrade patch
I never had any save data issues with BP games, so I can't really speak on that.
 

Nagi2020

Member
Newcomer
Joined
Mar 26, 2009
Messages
15
Trophies
0
XP
42
Country
United States
7.02 user here I was near to Update to 9.00 but with the new vulnerability found on SAMU we might have something really nice coming ( no perma cfw but pkgi for PS4 for example )

Also the 9.0 exploit might be ported to lower FW so maybe we will also have stable jb
Hoping the lower firmware is 8.74 as the PlayStation I have can't seem to update to 9.00 because of the daughter board on the blue ray drive.
 

godreborn

Well-Known Member
Member
Joined
Oct 10, 2009
Messages
28,502
Trophies
2
XP
18,415
Country
United States
it may be the webkit that's the issue, since I know the kernel exploit works on even 5.05. that web kit is what causes those dreaded memory errors. I guess they're afraid that something could go wrong. I don't know if 8.xx can use the 9.00 exploit, both web and kernel. it can probably do the kernel one, but I don't know about the webkit.
 
General chit-chat
Help Users
    Psionic Roshambo @ Psionic Roshambo: Go go power rangers, go go prison time!!!